/* *************************************** */
/* The following scripts will allow you to finetune */

/* *************************************** */

/* ********* Configure Your Weather Widget here ********* */
/* Step 1 - Find YOUR city code (locale) here : http://weather.yahoo.com/

/* Step 2 - Then enter your city code here */
var locale = "641683" 

/* Use Celsius or not */
var isCelsius = true

/* Use Real Feel Temperature or not */
var useRealFeel = false

/* Minutes between updates */
var updateInterval = 60


/* ****************************************************** */


/* *************************************** */
/* **************** CLOCK **************** */

//Toggles twelve and twenty-four hour time.
var twentyFourHourTime = false;


/* *************************************** */
/* ************** CALENDAR *************** */

//This affects the calendar.
function updateCalendarBar() {
	var theDate = new Date();
	var theWeekday = theDate.getDay();
	var theMonth = theDate.getMonth();
	var theDay = theDate.getDate();
	var theYear = theDate.getFullYear();
	
	 /* REMOVE THIS TO USE HALF YEAR
	theYear = theYear.toString().slice(2);
	 */
	 
	var weekdaysArray = new Array();
	//Change the Weekdays here
	weekdaysArray[0] = "SON";
	weekdaysArray[1] = "MON";
	weekdaysArray[2] = "DIE";
	weekdaysArray[3] = "MIT";
	weekdaysArray[4] = "DON";
	weekdaysArray[5] = "FREI";
	weekdaysArray[6] = "SAM";
	theWeekday = weekdaysArray[theWeekday];
	
	
	var monthsArray = new Array();
	//Change the Months here
	monthsArray[0] = "JAN";
	monthsArray[1] = "FEB";
	monthsArray[2] = "MÄRZ";
	monthsArray[3] = "APR";
	monthsArray[4] = "MAI";
	monthsArray[5] = "JUNI";
	monthsArray[6] = "JULI";
	monthsArray[7] = "AUG";
	monthsArray[8] = "SEPT";
	monthsArray[9] = "OKT";
	monthsArray[10] = "NOV";
	monthsArray[11] = "DEZ";
	theMonth = monthsArray[theMonth];
	
	if (theDay < 10) {theDay = "0" + theDay};
	
	var formattedDays = String(theDay);
	formattedDays = formattedDays.split("");
	document.getElementById("year").innerHTML = "'"+theYear;  /* Use HALF year ex: '11, '12 */
	document.getElementById("year").innerHTML = theYear;	  /* Use FULL year ex: 2011, 2012 */
	document.getElementById("week").innerHTML = theWeekday;
	document.getElementById("month").innerHTML = theMonth;
	document.getElementById("day").innerHTML = theWeekday +", " + theDay +". " + theMonth;
}
